#! /bin/sh
# $OpenLDAP: pkg/ldap/build/version.sh,v 1.4 2001/06/08 02:16:13 kurt Exp $
##****************************************************************************
## Copyright 2000-2001 The OpenLDAP Foundation
## COPYING RESTRICTIONS APPLY.  See COPYRIGHT File in top level directory
## of this package for details.
##*****************************************************************************
##  Copyright (c) 2006 Novell, Inc.
##  All Rights Reserved.
##
##  This library is free software; you can redistribute it and/or
##  modify it under the terms of the GNU Lesser General Public License as
##  published by the Free Software Foundation; version 2.1 of the license.
##
##  This library is distributed in the hope that it will be useful,
##  but WITHOUT ANY WARRANTY; without even the implied warranty of
##  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
##  GNU Lesser General Public License for more details.
##
##  You should have received a copy of the GNU Lesser General Public License
##  along with this library; if not, contact Novell, Inc.
##
## To contact Novell about this file by physical or electronic mail,
##  you may find current contact information at www.novell.com
##
##****************************************************************************
#
ol_package=novell-ldapextd
ol_major=1
ol_minor=0
ol_patch=0
ol_api_inc=000000
ol_api_lib=0:0:0

if test $ol_patch != X ; then
	ol_version=${ol_major}.${ol_minor}.${ol_patch}
	ol_type=Release
elif test $ol_minor != X ; then
	ol_version=${ol_major}.${ol_minor}.${ol_patch}
	ol_type=Engineering
else
	ol_version=${ol_major}.${ol_minor}
	ol_type=Devel
	ol_api_lib=0:0:0
fi

ol_string="${ol_package} ${ol_version}-${ol_type}"

echo OL_PACKAGE=\"${ol_package}\"
echo OL_MAJOR=$ol_major
echo OL_MINOR=$ol_minor
echo OL_PATCH=$ol_patch
echo OL_API_INC=$ol_api_inc
echo OL_API_LIB=$ol_api_lib
echo OL_VERSION=$ol_version
echo OL_TYPE=$ol_type
echo OL_STRING=\"${ol_string}\"
